//+------------------------------------------------------------------+
//|                                             iBearsBullsfuncs.mq4 |
//|                                         Author:  paladin80       |
//|                                         E-mail:  forevex@mail.ru |
//+------------------------------------------------------------------+
#property copyright "paladin80"
#property link      "forevex@mail.ru"
#property library
//--------------------------------------------- iBearsPowerfunc() -  ----------------------------------------------------------
//+----------------------------------------------------------------------------+
//|  :                                                         |
//|   Sy - .                                                             |
//|   Tf -  .                                                     |
//|   BearsPeriod -    .                             |
//|   Applied_price -  .                                        |
//|   Bears_MA_mode -  .                                      |
//|   Shift -      .             |
//+----------------------------------------------------------------------------+
double iBearsPowerfunc(string Sy,int Tf,int BearsPeriod,int Applied_price,int Bears_MA_mode,int Shift)
{
   double Temp, Bears;
   if (Sy=="" || Sy=="0") Sy=Symbol();   
      Temp=iMA(Sy,Tf,BearsPeriod,0,Bears_MA_mode,Applied_price,Shift);
      Bears=iLow(Sy,Tf,Shift)-Temp;
   return(Bears);
}
//--------------------------------------------- iBearsPowerfunc() -  ----------------------------------------------------------

//--------------------------------------------- iBullsPowerfunc() -  ----------------------------------------------------------
//+----------------------------------------------------------------------------+
//|  :                                                         |
//|   Sy - .                                                             |
//|   Tf -  .                                                     |
//|   BullsPeriod -    .                             |
//|   Applied_price -  .                                        |
//|   Bulls_MA_mode -  .                                      |
//|   Shift -      .             |
//+----------------------------------------------------------------------------+
double iBullsPowerfunc(string Sy,int Tf,int BullsPeriod,int Applied_price,int Bulls_MA_mode,int Shift)
{
   double Temp, Bulls;
   if (Sy=="" || Sy=="0") Sy=Symbol();   
      Temp=iMA(Sy,Tf,BullsPeriod,0,Bulls_MA_mode,Applied_price,Shift);
      Bulls=iHigh(Sy,Tf,Shift)-Temp;
   return(Bulls);
}
//--------------------------------------------- iBullsPowerfunc() -  ----------------------------------------------------------


















